Get Checkout Attempt

View as Markdown
Get checkout attempt by ID. Supports expand options: - processor_attempts: Include processor attempt summaries - card_checkout_attempt: Include full card checkout attempt with 3DS info - payment_method: Include payment method details - state_transitions: Include state transition history

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

checkout_attempt_idstringRequired
account_idstringRequired

Query parameters

expandlist of strings or nullOptional

Fields to expand: processor_attempts, card_checkout_attempt, payment_method, state_transitions

Response

Successful Response
idstring
checkout_session_idstring
statestring
created_atdatetime
updated_atdatetime
customer_idstring or nullOptional
payment_intent_idstring or nullOptional
cascade_tierintegerOptionalDefaults to 0
error_codestring or nullOptional
error_message_for_customerstring or nullOptional
error_message_for_debugstring or nullOptional
client_request_idstring or nullOptional
submitted_customer_infomap from strings to any or nullOptional
fraud_metadatamap from strings to any or nullOptional
attempt_metadatamap from strings to any or nullOptional
invoice_idstring or nullOptional
subscription_idstring or nullOptional
payment_method_idstring or nullOptional
card_checkout_attempt_idstring or nullOptional
card_checkout_attempt_statestring or nullOptional
processor_attemptslist of objects or nullOptional
card_checkout_attemptobject or nullOptional
Expanded card checkout attempt data.
payment_methodobject or nullOptional
Payment method API response model.
state_transitionslist of objects or nullOptional

Errors

422
Unprocessable Entity Error